//\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\\
//
// UserWin satellite library | Author: Sergei Y.Kitáev
//
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
using System;
using System.Reflection;

using CommonHelpers;

namespace UserWin {

//**************************************************************************************************
partial class UXMessageBox {
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

public static string InformationCaption
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Information";
   case HInCodeSupportedLanguage.Russian: return "Информация";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string ErrorCaption
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Error";
   case HInCodeSupportedLanguage.Russian: return "Ошибка";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string WarningCaption
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Warning";
   case HInCodeSupportedLanguage.Russian: return "Предупреждение";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string ExclamationCaption
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Attention";
   case HInCodeSupportedLanguage.Russian: return "Внимание";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string QuestionCaption
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Question";
   case HInCodeSupportedLanguage.Russian: return "Вопрос";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string ConfirmationCaption
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Confirmation";
   case HInCodeSupportedLanguage.Russian: return "Подтверждение";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string SuccessCaption
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Success";
   case HInCodeSupportedLanguage.Russian: return "Успех";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

public static string FailureCaption
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "Failure";
   case HInCodeSupportedLanguage.Russian: return "Неудача";
   //case HInCodeSupportedLanguage.Lang_X1: return "";
   //case HInCodeSupportedLanguage.Lang_X2: return "";
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}

//==================================================================================================
//--------------------------------------------------------------------------------------------------
/*
public static string 
{
#region
   get
   {
      string rcString = HCommonHlpResources.TryGetString( MethodInfo.GetCurrentMethod() );
      if ( rcString != null ) return rcString;
      switch ( HInCodeSupportedLanguageSelector.UILanguage )
      {
#endregion
   case HInCodeSupportedLanguage.English: return "";
   case HInCodeSupportedLanguage.Russian: return "";
   //case HInCodeSupportedLanguage.Lang_X1: return
   //case HInCodeSupportedLanguage.Lang_X2: return
#region
      }
      throw HAssertionFailure.DEAD_BRANCH();
   }
#endregion
}
*/
//~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
} // UXMessageBox
//**************************************************************************************************

} // UserWin
